package cn.hnthyy.thmz.service.his;

import cn.hnthyy.thmz.entity.his.YpInPlan;
import cn.hnthyy.thmz.entity.his.zd.YpZdDictBase;
import cn.hnthyy.thmz.vo.YpInPlanDrugVo;
import cn.hnthyy.thmz.vo.YpInPlanVo;

import java.util.List;

public interface YpInPlanService {

    /**
     * 分页查询药品请购记录
     * @param ypInPlanVo
     * @return
     */
    List<YpInPlanVo> queryYpInPlanPage(YpInPlanVo ypInPlanVo);

    /**
     * 查询药品请购记录总数
     * @param ypInPlanVo
     * @return
     */
    int countYpInPlan(YpInPlanVo ypInPlanVo);

    /**
     * 查询药库药品信息
     * @param searchText
     * @param groupYk
     * @return
     */
    List<YpZdDictBase> queryYpZdDictBase(String searchText, String groupYk);

    /**
     * 保存药品请领数据
     * @param ypInPlans
     * @return
     */
    int saveYpInPlan(List<YpInPlan> ypInPlans);

    /**
     * 查询药品请购记录
     * @param drawNo
     * @return
     */
    List<YpInPlanDrugVo> queryYpInPlanDrug(String drawNo);
}
